# Uses of Class
org.codehaus.janino.Java.Initializer

Packages that use Java.Initializer
Package
Description
org.codehaus.janino
The core of the Janino Java compiler.
org.codehaus.janino.util
Application-independent helper classes.

## Uses of Java.Initializer in org.codehaus.janino

Methods in org.codehaus.janino with parameters of type Java.Initializer
Modifier and Type
Method
Description
`void`
Java.AbstractClassDeclaration.`addInitializer(Java.Initializer i)`
Adds one initializer to this class.
`R`
Visitor.FieldDeclarationOrInitializerVisitor.`visitInitializer(Java.Initializer i)`
Invoked by `accept(Visitor.BlockStatementVisitor)`
`R`
Visitor.TypeBodyDeclarationVisitor.`visitInitializer(Java.Initializer i)`
Invoked by `accept(Visitor.TypeBodyDeclarationVisitor)`

## Uses of Java.Initializer in org.codehaus.janino.util

Methods in org.codehaus.janino.util that return Java.Initializer
Modifier and Type
Method
Description
`Java.Initializer`
DeepCopier.`copyInitializer(Java.Initializer subject)`
Methods in org.codehaus.janino.util with parameters of type Java.Initializer
Modifier and Type
Method
Description
`Java.Initializer`
DeepCopier.`copyInitializer(Java.Initializer subject)`
`void`
AbstractTraverser.`traverseInitializer(Java.Initializer i)`
`void`
Traverser.`traverseInitializer(Java.Initializer i)`